#include "SharedMethods.h"

XMMATRIX SharedMethods::RotateFromPoint(float x, float y, float z, XMMATRIX rotationMatrix)
{
	// Translates a matrix to a point, rotates and then returns back to where it was
	return XMMatrixTranslation(x, y, z) * rotationMatrix * XMMatrixTranslation(-x, -y, -z);
}
